<?php
/**
Copyright 2012 Nick Korbel

This file is part of phpScheduleIt.

phpScheduleIt is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

phpScheduleIt is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with phpScheduleIt.  If not, see <http://www.gnu.org/licenses/>.
 */

class AccessoryResponse extends RestResponse
{
	public function __construct(IRestServer $server, Accessory $accessory)
	{
		$this->id = $accessory->GetId();
		$this->name = $accessory->GetName();
		$this->quantityAvailable = $accessory->GetQuantityAvailable();
	}

	public static function Example()
	{
		return new ExampleAccessoryResponse(null, new Accessory(1, 'accessoryName', 10));
	}
}

class ExampleAccessoryResponse extends AccessoryResponse
{
	public function __construct()
	{
		$this->id = 1;
		$this->name = 'accessoryName';
		$this->quantityAvailable = 10;
	}
}

?>