{*
Copyright 2011-2012 Nick Korbel

This file is part of phpScheduleIt.

phpScheduleIt is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

phpScheduleIt is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with phpScheduleIt.  If not, see <http://www.gnu.org/licenses/>.
*}
{include file='globalheader.tpl'}
<h1>Администриране на phpScheduleIt</h1>

<div id="help">
<h2>Администриране</h2>

<p>Ако сте в роля администратор на приложение ще видите елемент на менюто администриране на приложението. Тук
	могат да бъдат намерени всички административни задачи.</p>

<h3>Създаване на разписания</h3>

<p>
	При инсталиране на phpScheduleIt ще бъде създадено разписание по подразбиране. От меню
	разписания можете да разгледате и редактирате атрибутите на текущите разписания.
</p>

<p>Всяко разписание трябва да има оформление, дефинирано за него. То управлява наличието на ресурси за това разписание.
	Кликването върху връзката промяна на оформлението ще отвори редактор на оформление. Тук можете да създавате и променяте
	наличните времеви интервали за резервации и блокираните за резервации. Няма ограничения за продължителността на времевите
	интервали, но трябва да има времеви стойности за всички 24 часа на ден, по един на ред. Освен това, времевият формат
	трябва да бъде 24 часа.
	Можете също да предоставите етикет за някой или за всички времеви слотове, ако желаете.</p>

<p>Всеки времеви слот без етикет ще бъде форматиран в следния формат: 10:25 - 16:50</p>

<p>Времеви интервал с етикет трябва да бъде форматиран така: 10:25 - 16:50 Период 4</p>

<p>Под прозореца за конфигуриране на времеви интервали е магьосник за създаване на слотове. Това ще създаде свободни слотове в дадения
	интервал между началното и крайно време.</p>

<h3>Създаване на ресурси</h3>

<p>Можете да разглеждате и да управлявате ресурси от меню опция ресурси. Тук могат да се променят атрибутите и
	да се конфигурира използването на ресурс.
</p>

<p>Ресурс в phpScheduleIt може да бъде всичко, което искате да се резервира, като стаи или оборудване. Всеки ресурс
	трябва да бъде присвоен на разписание, за да може да се резервира. Ресурсът ще наследи оформлението на разписанието.</p>

<p>Определянето на минимална продължителност на резервацията ще предотврати резервация с по-голяма продължителност от определения размер. 
	По подразбиране няма минимум.</p>

<p>Задаването на максимална продължителност на резервацията ще предотврати резервация с по-кратка продължителност от определения размер. 
	По подразбиране няма максимум.</p>

<p>Настройката един ресурс да изисква одобрение ще постави всички резервации за този ресурс в състояние на изчакване, докато заявката не бъде.
	По подразбиране не се изисква одобрение.</p>

<p>Настройката един ресурс автоматично да разрешава достъп до себе си ще даде достъп по време на регистрация на всички нови потребители до ресурса.
	По подразбиране автоматично се разрешават достъпи.</p>

<p>Можете да изисквате предварително време за заявка за резервация, чрез настройка ресурсът да изисква определен брой дни/часове/минути
	предварително уведомление. Например, ако текущото време е 10:30 Понеделник и ресурсът изисква 1 ден уведомление,
	ресурсът няма да може да бъде резервиран до 10:30 в Неделя. По подразбиране резервацията може да бъде направена до текущото
	време.</p>

<p>Можете да ограничите резервиране на ресурси твърде далеч в бъдещето, като се изисква максимално уведомяване в
	дни/часове/ минути. Например, ако текущото време е 10:30 Понеделник и ресурсът не може да бъде ангажиран повече от
	1 ден в бъдещето, ресурсът няма да може да бъде резервиран след 10:30 Вторник. По подразбиране няма максимум.</p>

<p>Определени ресурси могат да имат капацитет на използване. Например, накои конферентни зали могат да поберат до 8 човека.
	Задаването на ресурсния капацитет ще ограничи броя на участниците по едно и също време,
	с изключение на организатора. По подразбиране ресурсите имат неограничен капацитет.</p>

<p>Администраторите на приложението се изключват от ограниченията за ползване.</p>

<h3>Ресурсни Снимки</h3>

<p>Можете да зададете изображение на ресурс, което ще се показва, когато преглеждате детайлите на ресурса в страницата за резервации.
	За целта трябва да се инсталира php_gd2 и да се конфигурира в php.ini файла. <a
			href="http://www.php.net/manual/en/book.image.php">За подробности</a></p>

<h3>Създаване на аксесоари</h3>

<p>Аксесоарите могат да бъдат разглеждани като обекти, използвани по време на резервация. Например проектори или столове в
	конферентна зала.</p>

<p>Аксесоарите могат да бъдат преглеждани и управлявани от меню аксесоари, под меню ресурси. Задаването на
	количество на аксесоар ще ограничи максималният брой резервирани аксесоара по едно и също време.</p>

<h3>Създаване на квоти</h3>

<p>Квотите въвеждат ограничения за правене на резервации. Квотите в phpScheduleIt са
	много гъвкави, като могат да се задават ограничения за продължителност на резервация и брой резервации. Квотите ограничават
	"стека". Например, ако съществува квота, ограничаваща използването на ресурса до 5 часа на ден и друга квота ограничаваща до
	4 резервации на ден, един потребител би могъл да направи резервация с продължителност 4 часа, но няма да може да направи 3
	двучасови резервации. По този начин могат да се създават мощни комбинации от квоти.</p>

<p>Администраторите на приложението нямат квотни ограничения.</p>

<h3>Създаване на обяви</h3>

<p>Обявите са лесен начин за уведомяване на потребителите на phpScheduleIt. От меню обяви може да се
	преглеждат и управляват обявите, които се показват на потребителските табла. Одна обява може да бъде конфигурирана
	с начална и крайна дата. Възможно е да бъде зададено и ниво на приоритет, който позволява сортиране на обявите от 1
	до 10.</p>

<p>В текста на обявата може да бъде вмъкнат HTML. По този начин могат да се вмъкнат връзки или картинки.</p>

<h3>Създаване на групи</h3>

<p>Групите в phpScheduleIt организират потребителите, контролират достъпа до ресурсите и дефинират роли в приложението.</p>

<h3>Роли</h3>

<p>Ролите дават права на група от потребители да извършват опредени действия.</p>

<p>Потребителите, които принадлежат на група, на която е присвоена роля на администратор на приложение, имат пълни
	администраторски пеава. Тази роля няма ограничения за резервиране на ресурси. Тя може да управлява всички аспекти на
	приложението.</p>

<p>Потребителите, принадлежащи към група, на която е присвоена роля на администратор на група могат да извършват резервации от името на и да 
	управляват потребителите в тази група.</p>

<h3>Преглеждане и управление на резервации</h3>

<p>Можете да преглеждате и управлявате резервации от менщ резервации. По подразбиране се показват последните 7 дни и
	след това следващите 7 дни. Съдържанието може да бъде филтрирано.
	Този инструмент позволява лесно намиране на резервация. Филтрираните разервации могат да бъдат експортнати
	в CSV формат за по нататъшна отчетност.</p>

<h3>Одобряване на резервация</h3>

<p>От админ панела за резервации, можете да преглеждате и одобрявате чакащи резервации. Чакащите резервации ще
	бъдат подчертани.</p>

<h3>Преглеждане и управление на потребители</h3>

<p>YМожете да добавяте, преглеждате и управлявате всички регистрирани потребители от меню потребители. Оттук могат да се
	достъпите до ресурси на индивидуални потребители, деактивиране или изтриване на профили, смяна на пароли и редактиране на потребители.
	Можете да добавяте нови потребители в phpScheduleIt. Това е особено полезно, ако е изклщчена самостоятелната регистрация.</p>

<h3>Отчетност</h3>

<p>Отчетите са достъпни за всички администратори на приложения, групи, ресурси и разписания. След идентифициране на 
	потребител с достъп до отчети, ще се покаже навигация за отчети. phpScheduleIt разполага с множество от
	общи отчети, които могат да бъдат получени като списъл от резултати, диаграма, експорт в CSV и отпечатани. В допълнение могат да
	бъдат създадени нови отчети от меню създаване на нов отчет. те също могат да бъдат като списъл от резултати, диаграма, експорт в CSV
	и отпечатани. Един персонализиран отчет може да бъде съхранен и използван повторно по-късно от меню моите запазени отчети.
	Запазените отчети могат да бъдат изпращани по имейл.</p>

<h2>Конфигуриране</h2>

<p>Част от функционалността на phpScheduleIt може да бъде контролирана само с редактиране на config файла.</p>

<p class="setting"><span>$conf['settings']['server.timezone']</span>Това е часовата зона на сървъра, където се
	хоства phpScheduleIt.
	Текущата часова зона можете да видите в меню настройки на сървъра. Възможните стойности  са тук:
	http://php.net/manual/en/timezones.php</p>

<p class="setting"><span>$conf['settings']['allow.self.registration']</span>Дали потребителят може сам да се регистрира.</p>

<p class="setting"><span>$conf['settings']['admin.email']</span>Имейл адрес на основния администратор на приложението
</p>

<p class="setting"><span>$conf['settings']['default.page.size']</span>Брой редове на страница с данни
</p>

<p class="setting"><span>$conf['settings']['enable.email']</span>Дали да бъдат изпращани имейли от phpScheduleIt
</p>

<p class="setting"><span>$conf['settings']['default.language']</span>Език по подразбиране за всички потребители. Това може да бъде
	всеки екик, който се поддържа от phpScheduleIt, взема се от папка lang</p>

<p class="setting"><span>$conf['settings']['script.url']</span>Пълния публичен URL адрес на този екземпляр на phpScheduleIt.
	Това трябва да бъде Web директорията, която съдържа файлове като bookings.php и calendar.php</p>

<p class="setting"><span>$conf['settings']['password.pattern']</span>Регулярен израз за създаване на по-сложна парола
	при регистрация на потребител</p>

<p class="setting"><span>$conf['settings']['schedule']['show.inaccessible.resources']</span>Дали ресурсите, 
	които не са достъпни на потребителя се показват в разписанието</p>

<p class="setting"><span>$conf['settings']['schedule']['reservation.label']</span>Стойността, описваща ресурса на 
	страницата за резервации. Възможностите са 'име', 'заглавие' или 'нищо'. По подразбиране е 'име'.</p>

<p class="setting"><span>$conf['settings']['image.upload.directory']</span>Физическата директория за съхраняване на изображения.
	В тази папка тябва да може да се пише (755 се препоръчва). Това може да бъде пълна или относителна директория спрямо
	корневата директория на phpScheduleIt.</p>

<p class="setting"><span>$conf['settings']['image.upload.url']</span>URL-ът, от където качените
	изображения могат да бъдат разглеждани. Това може да пъде пълен URL или относителен спрямо $conf['settings']['script.url'].
</p>

<p class="setting"><span>$conf['settings']['cache.templates']</span>Дали шаблоните се кешират. Препоръчително е
	да се зададе истина (true), поне докато tpl_c е записваем</p>

<p class="setting"><span>$conf['settings']['use.local.jquery']</span>дали трябва да се използва локална версия на jQuery
	файлове. Ако е зададено false, файловете ще се вземат от Google CDN. Препоръчително е да се зададе
	false, за подобряване на производителността и използването на канала. По подразбиране е false.</p>

<p class="setting"><span>$conf['settings']['registration.captcha.enabled']</span>Дали CAPTCHA Image сигурност
	е активирана по време на регистрация на потребителски профил</p>

<p class="setting"><span>$conf['settings']['registration.require.email.activation']</span>Дали от потребител ще се
	изисква да активирате профила си по електронната поща, преди да влезе.</p>

<p class="setting"><span>$conf['settings']['registration.auto.subscribe.email']</span>Дали потребителите ще бъдат
	автоматично абонирани за всички имейли при регистрацията.</p>

<p class="setting"><span>$conf['settings']['inactivity.timeout']</span>Брой минути, преди потребителската сесия да
	да бъде автоматично прекъсната. Оставете това поле празно, ако не искате потребителските сесии да бъдат автоматично прекъсвани.</p>

<p class="setting"><span>$conf['settings']['name.format']</span>Формат за име и фамилия. По подразбиране
	е {литерал}'{име} {фамилия}'{/литерал}.</p>

<p class="setting"><span>$conf['settings']['ics']['require.login']</span>Дали потребителите трябва да се идентифицират,
	за да добяват резервация в Outlook.</p>

<p class="setting"><span>$conf['settings']['ics']['subscription.key']</span>Ако искате да разрешите webcal абонамент,
	въведете тук някоя трудна за отгатване стойност. Ако не е зададена стойност, webcal абонаментите не са разрешени.</p>

<p class="setting"><span>$conf['settings']['privacy']['view.schedules']</span>Дали неидентифицирани потребители могат
	да разглеждат разписания. По подразбиране е false.</p>

<p class="setting"><span>$conf['settings']['privacy']['view.reservations']</span>Дали неидентифицирани потребители могат
	да разглеждат детайли на резервация. По подразбиране е false.</p>

<p class="setting"><span>$conf['settings']['privacy']['hide.user.details']</span>IДали неидентифицирани потребители могат
	да разглеждат информация за други потребители. По подразбиране е false.</p>

<p class="setting"><span>$conf['settings']['reservation']['start.time.constraint']</span>Дали могат да бъдат създавани
	или редактирани резервации.
	Възможностите са future, current  none. Future означава, че резервации не могат да бъдат създавани или променяни, ако началното време на
	избрания слот е в миналото. Current означава, че резервации могат да бъдат създавани или модифицирани, ако крайното време на
	избрания слот не е в миналото. None означава, че няма ограничения за времето за създаване или модифициране на резервации.
	По подразбиране е future.</p>

<p class="setting"><span>$conf['settings']['reservation']['updates.require.approval']</span>Дали промени във
	вече одобрени резервации изисктат повторно одобрение. по подразбиране е false.</p>

<p class="setting"><span>$conf['settings']['reservation']['prevent.participation']</span>Дали потребителите ще
	бъдат ограничени да могат да добавят и канят други в резервация. По подразбиране е false.</p>

<p class="setting"><span>$conf['settings']['reservation']['prevent.recurrence']</span>Дали потребителите ще
	бъдат ограничени да могат да създават рекурентби резервации. По подразбиране е false.</p>

<p class="setting"><span>$conf['settings']['reservation.notify']['resource.admin.add']</span>Дали да се изпраща
	имейл към всички администратори на ресурс, когато се създава резервация. По подразбиране е false.</p>

<p class="setting"><span>$conf['settings']['reservation.notify']['resource.admin.update']</span>Дали да се изпраща
	имейл към всички администратори на ресурс, когато се обновява резервация. По подразбиране е false.</p>

<p class="setting"><span>$conf['settings']['reservation.notify']['resource.admin.delete']</span>Дали да се изпраща
	имейл към всички администратори на ресурс, когато се изтрива резервация. По подразбиране е false.</p>

<p class="setting"><span>$conf['settings']['reservation.notify']['application.admin.add']</span>Дали да се изпраща
	имейл към всички администратори на приложението, когато се създава резервация. По подразбиране е false.</p>

<p class="setting"><span>$conf['settings']['reservation.notify']['application.admin.update']</span>Дали да се изпраща
	имейл към всички администратори на приложението, когато се обновява резервация. По подразбиране е false.</p>

<p class="setting"><span>$conf['settings']['reservation.notify']['application.admin.delete']</span>Дали да се изпраща
	имейл към всички администратори на приложението, когато се изтрива резервация. По подразбиране е false.</p>

<p class="setting"><span>$conf['settings']['reservation.notify']['group.admin.add']</span>Дали да се изпраща
	имейл към всички администратори на група, когато се създава резервация. По подразбиране е false.</p>

<p class="setting"><span>$conf['settings']['reservation.notify']['group.admin.update']</span>Дали да се изпраща
	имейл към всички администратори на приложението, когато се обновява резервация. По подразбиране е false.</p>

<p class="setting"><span>$conf['settings']['reservation.notify']['group.admin.delete']</span>Дали да се изпраща
	имейл към всички администратори на приложението, когато се изтрива резервация. По подразбиране е false.</p>

<p class="setting"><span>$conf['settings']['css.extension.file']</span>Пълен или относителен URL към допълнителен CSS файл
	за включване. Това може да се използва за промяна на стила по подразбиране с корекции или пълна тема. Оставете празно, ако
	нама да разширявате стила на phpScheduleIt.</p>

<p class="setting"><span>$conf['settings']['uploads']['enable.reservation.attachments']</span>Дали потребителите могат да
	прикачват файлове към резервации. По подразбиране е false.</p>

<p class="setting"><span>$conf['settings']['uploads']['reservation.attachment.path']</span>Пълен или относителен
	път във файловата система (спрямо корневата директория на phpScheduleIt) за съхраняване на прикачени файлове. В
	тази директория трябва да може да пише PHP (755 се препоръчва). По подразбиране е uploads/reservation</p>

<p class="setting"><span>$conf['settings']['uploads']['reservation.attachment.extensions']</span>Разделен със запетая списък
	от сигурни файлови разширения. Ако полето е празно са разрешени всички файлови формати (не се препоръчва).</p>

<p class="setting"><span>$conf['settings']['database']['type']</span>Всеки PEAR::MDB2 поддържан тип</p>

<p class="setting"><span>$conf['settings']['database']['user']</span>Потребител на база от данни с достъп до
	конфигурирана база от данни</p>

<p class="setting"><span>$conf['settings']['database']['password']</span>Парола на потребител на база от данни</p>

<p class="setting"><span>$conf['settings']['database']['hostspec']</span>URL на хоста на базата данни или named pipe</p>

<p class="setting"><span>$conf['settings']['database']['name']</span>Име на базата данни на phpScheduleIt</p>

<p class="setting"><span>$conf['settings']['phpmailer']['mailer']</span>PHP имейл библиотека. Опциите са mail, smtp,
	sendmail, qmail</p>

<p class="setting"><span>$conf['settings']['phpmailer']['smtp.host']</span>SMTP хост, ако се използва smtp</p>

<p class="setting"><span>$conf['settings']['phpmailer']['smtp.port']</span>SMTP порт, ако се използва smtp, обикновено 25</p>

<p class="setting"><span>$conf['settings']['phpmailer']['smtp.secure']</span>SMTP сигурност, ако се използва smtp. Опциите са
	'', ssl or tls</p>

<p class="setting"><span>$conf['settings']['phpmailer']['smtp.auth']</span>SMTP изисква идентификация, ако се използва smtp.
	Вузможностите са true или false</p>

<p class="setting"><span>$conf['settings']['phpmailer']['smtp.username']</span>SMTP потребителско име, ако се използва smtp</p>

<p class="setting"><span>$conf['settings']['phpmailer']['smtp.password']</span>SMTP парола, ако се използва smtp</p>

<p class="setting"><span>$conf['settings']['phpmailer']['sendmail.path']</span>Път към sendmail, ако се използва sendmail</p>

<p class="setting"><span>$conf['settings']['plugins']['Authentication']</span>Име на плъгин за идентификация.
	За повече информация за плъгини, вижте Плъгини по долу</p>

<p class="setting"><span>$conf['settings']['plugins']['Authorization']</span>Име на използван плъгин за идентификация. 
	За повече информация за плъгини, вижте Плъгини по долу</p>

<p class="setting"><span>$conf['settings']['plugins']['Permission']</span>Име на използван плъгин за достъпи. 
	За повече информация за плъгини, вижте Плъгини по долу</p>

<p class="setting"><span>$conf['settings']['plugins']['PreReservation']</span>Име на използван плъгин зпреди резервация. 
	За повече информация за плъгини, вижте Плъгини по долу</p>

<p class="setting"><span>$conf['settings']['plugins']['PostReservation']</span>Име на използван плъгин за след резерация.
	За повече информация за плъгини, вижте Плъгини по долу</p>

<p class="setting"><span>$conf['settings']['install.password']</span>ко правите инсталация или обновление, 
	ще трябва да въведете стойност тук</p>

<h2>Плъгини</h2>

<p>Следните компоненти са сменяеми:</p>

<ul>
	<li>Идентификация - Кой може да влиза в системата</li>
	<li>Упълномощаване - Кокво може да прави потребител след влизане в системата</li>
	<li>Достъпи - До кои ресурси има достъп един потребител</li>
	<li>Преди резервация - какво се случва преди да бъде направена една резервация</li>
	<li>След резервация - Какво се случва след реализиране на резервация</li>
</ul>

<p>
	За да се активира един плъгин, посочете папката с плъгина в config файла. Например, за да използвате
	LDAP идентификация, задайте
	$conf['settings']['plugins']['Authentication'] = 'Ldap';</p>

<p>Плъгините могат да имат собствени конфигурационни файлове. За LDAP, преименувайте или копирайте
	/plugins/Authentication/Ldap/Ldap.config.dist в /plugins/Authentication/Ldap/Ldap.config и редактирайте всички стойности, които
	са приложими към вашата среда.</p>

<h3>Инсталиране на плъгини</h3>

<p>За да инсталирате нов плъгин, копирайте папката в директория Authentication, Authorization, или Permission. След това
	променете $conf['settings']['plugins']['Authentication'], $conf['settings']['plugins']['Authorization'] или
	$conf['settings']['plugins']['Permission'] в config.php на името на тази папка.</p>

</div>

{include file='globalfooter.tpl'}